#include <iostream>
#include <math.h>

using namespace std;

typedef long long ll;

typedef struct{
    ll x;
    ll y;
}tacka;

int main()
{
    ll m,x,y;
    cin>>m;
    tacka a[m];
    cin>>a[0].x>>a[0].y;
    ll mx=a[0].x, my=a[0].y;
    cout<<0<<endl;
    for(ll i=1;i<m;i++){
        ll p=0;
        cin>>a[i].x>>a[i].y;
        if(a[i].x>mx)
            mx=a[i].x;
        if(a[i].y>my)
            my=a[i].y;
        for(ll j=0;j<mx;j++){
            for(ll k=0;k<my;k++){
                ll tp=0;
                for(ll l=0;l<i+1;l++){
                    tp=tp+abs(a[l].x-j-1)*abs(a[l].y-k-1);
                }
                if(tp>p)
                    p=tp;
            }
        }
        cout<<p<<endl;
    }
}